<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
define("THUMB", 1);
$inc = substr(dirname(__FILE__), 0, -6) . "";
$dir = getcwd();

if(defined('BASE_DIR')) exit;
define("BASE_DIR", $inc);

session_start();
session_name('SID');
include_once("$inc/functions/Func.Globals.php");

define("THUMB", 1);

$thumb_w   = 75; 
$thumb_pre = 'content_';
$w = $thumb_w;

$Bildname = $_REQUEST['img'];
$end      =  substr($Bildname, -4);
$name     = BASE_DIR . substr($Bildname,0,-4);
$q        = BASE_DIR . "$Bildname";

$uid = @md5($thumb_pre . $Bildname) . $end;
$size = @getimagesize($q);


if($size[0]<$thumb_w) $thumb_w = $size[0];
if($thumb_w<10) $thumb_w = 35;

switch($end)
{
	default:
	case '.jpg':
		$q = $name . '.jpg';
		if(!@imagecreatefromjpeg($q)) exit;
		$quelle = @imagecreatefromjpeg($q);
		header ("Content-type: image/jpeg");
	break;
	
	case '.png':
		$q = $name . '.png';
		if(!@imagecreatefrompng($q)) exit;
		$quelle = @imagecreatefrompng($q);
		header ("Content-type: image/png");
	break;

	case '.gif':
		$q = $name . '.gif';
		if(!@imagecreatefromgif($q)) exit;
		$quelle = @imagecreatefromgif($q);
		header ("Content-type: image/gif");
	break;
}

if(file_exists(BASE_DIR . '/cache/'.$uid) && (!@isset($_REQUEST['time'])))
{
	readfile(BASE_DIR . '/cache/'.$uid);
	exit;
}

$sz        = $thumb_w;
$im_width  = imageSX($quelle);
$im_height = imageSY($quelle);
$factor    = $sz / $im_width;
$w         = $sz;
$h         = $im_height * $factor;

if (function_exists('imagecreatetruecolor'))
{
    $ziel = imagecreatetruecolor($w, $h);
	if($end=='.png' && function_exists('imagesavealpha'))
	{
		imagealphablending($ziel, false);
        $colorTransparent = imagecolorallocatealpha($ziel, 0, 0, 0, 127);
        imagefill($ziel, 0, 0, $colorTransparent);
        imagesavealpha($ziel, true);
	} elseif($end=='.gif') {
		$trnprt_indx = imagecolortransparent($quelle);
		if ($trnprt_indx >= 0)
		{
			$trnprt_color = imagecolorsforindex($quelle, $trnprt_indx);
			$trnprt_indx = imagecolorallocate($ziel, $trnprt_color['red'], $trnprt_color['green'], $trnprt_color['blue']);
			imagefill($ziel, 0, 0, $trnprt_indx);
			imagecolortransparent($ziel, $trnprt_indx);
		}
	} else {
		$ziel_bg = imagecolorallocate($ziel,255,255,255);
		imagefill($ziel , 0, 0, $ziel_bg);
	}
} else {
    $ziel = imagecreate($w, $h);
} 

@imagecopyresampled($ziel, $quelle, 0, 0, 0, 0, $w, $h, imagesx($quelle), imagesy($quelle));

ob_start();
switch($end)
{
	case '.jpg':
	$bild = @imagejpeg($ziel);
	break;

	case '.png':
	$bild = @imagepng($ziel);
	break;
	
	case '.gif':
	$bild = @imagegif($ziel);
	break;
}

$a = ob_get_contents();
ob_end_clean();
$fp = fopen(BASE_DIR . "/cache/".$uid, "wb+");
@chmod(BASE_DIR . "/cache/".$uid,0777);
fwrite($fp, $a);
fclose($fp);
echo $a;
exit();
?>